Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 612187 - The root-level gacl in the gridsite package uses an old syntax
The root-level gacl in the gridsite package uses an old syntax
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gridsite (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 10:00 EDT by Mattias Ellert
Modified: 2010-10-14 19:02 EDT (History)
1 user (show)

See Also:
Fixed In Version: gridsite-1.5.19-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 08:38:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2010-07-07 10:00:50 EDT
Description of problem:

The root-level gacl in the gridsite package is the following:

<?xml version="1.0"?>
 <gacl>
 <entry>
   <any-user/>
   <allow><list/><read/></allow>
 </entry>
 <entry>
   <auth-user/>
   <allow><read/><write/><list/><admin/></allow>
 </entry>
</gacl>

(The indentation of the <gacl> start tag is a bit off)

This GACL uses an old format. This format is still understood, but if I
write a short program that reads it and then writes it out again I get
the following:

<?xml version="1.0"?>
<gacl version="0.9.0">
<entry>
<cred>
<auri>gacl:any-user</auri>
</cred>
<allow><read/><list/></allow>
</entry>
<entry>
<cred>
<auri>gacl:auth-user</auri>
</cred>
<allow><read/><list/><write/><admin/></allow>
</entry>
</gacl>

Version-Release number of selected component (if applicable):
gridsite-1.5.18-4

Additional info:

Here is the program:

#include <libxml/tree.h>
extern "C" {
#include <gridsite.h>
#include <gridsite-gacl.h>
}
int main() {
  GACLacl *acl = GACLloadAcl("test.gacl");
  GACLsaveAcl("test2.gacl", acl);
}
Comment 1 Fedora Update System 2010-09-28 12:47:17 EDT
gridsite-1.5.19-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/gridsite-1.5.19-1.el4
Comment 2 Fedora Update System 2010-09-28 12:47:31 EDT
gridsite-1.5.19-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gridsite-1.5.19-1.fc14
Comment 3 Fedora Update System 2010-09-28 12:47:47 EDT
gridsite-1.5.19-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/gridsite-1.5.19-1.el5
Comment 4 Fedora Update System 2010-09-28 12:48:03 EDT
gridsite-1.5.19-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gridsite-1.5.19-1.fc13
Comment 5 Fedora Update System 2010-09-28 14:35:14 EDT
gridsite-1.5.19-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gridsite'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gridsite-1.5.19-1.el4
Comment 6 Fedora Update System 2010-10-08 08:38:16 EDT
gridsite-1.5.19-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-10-14 14:23:44 EDT
gridsite-1.5.19-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-10-14 14:24:42 EDT
gridsite-1.5.19-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-10-14 19:02:30 EDT
gridsite-1.5.19-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.